/* Component: Mini Catalyst Card */

.mini-catalyst-card {
width: 380px;
    max-width: 100%;
    display: flex;
    padding: 8px;
    gap: var(--system-spacing-gap-sm);
    background: var(--system-bg-box);
    border-radius: var(--system-border-radius-sm);
    transition: background 0.15s ease;

    @container page-content (max-width: 768px) {
        width: 100%;
    }
}

.mini-catalyst-card:hover {
    background: var(--system-bg-box-hover);
}

.mini-catalyst-card__photo {
    flex-shrink: 0;
    width: 40%;
    max-width: 100px;

    @media (max-width: 768px) {
        width: 30%;
    }
}

.mini-catalyst-card__photo img {
    width: 100%;
    height: auto;
    border-radius: var(--system-border-radius-xs);
    display: block;
    aspect-ratio: 1 / 1;
}

.mini-catalyst-card__info {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: var(--system-spacing-gap-sm);
    justify-content: space-between;
    align-items: flex-start;
    padding: var(--system-spacing-inset-3xs) var(--system-spacing-inset-sm) var(--system-spacing-inset-3xs) 0;
}

.mini-catalyst-card__name {
    display: flex;
    flex-direction: column;
    gap: 4px;
}

.mini-catalyst-card__name-text {
    font-size: clamp(21px, 1.5cqi, 24px);
    line-height: 1;
    font-weight: 400;
    color: var(--brand-dark-sand);
}

.mini-catalyst-card__cargo {
    font-size: clamp(16px, 1.5cqi, 16px);
    font-weight: 400;
    line-height: 1;
    letter-spacing: -0.17px;
    color: var(--system-fg-subtle);
}

.mini-catalyst-card__biomes {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

.mini-catalyst-card__biome {
    background-color: var(--system-bg-primary);
    color: var(--system-fg-on-primary);
    padding: 6px 14px;
    border-radius: 40px;
    text-transform: uppercase;
    font-size: 12px;
    line-height: 12px;
}

.mini-catalyst-card__biome--more {
    background-color: var(--brand-dark-sand);
    color: var(--brand-sand);
    padding: 0;
    aspect-ratio: 1;
    height: 100%;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    box-sizing: border-box;
}
